Cant select basekit MacOS TDK5 Licensed

Posted by siqsuruq@gmail.com on 2016-05-20 07:16

Hi, cant someone explain why I cant select interpreter in TclApp. When I go to /Library/Tcl/basekits I can see them but cant select base-tk8.6-thread-macosx10.5-i386-x86_64? It stays grey?

grahams
ActiveState Staff
Fri, 2016-05-20 10:01

Any of the files named base-* are prefix files, and are valid for selection in the prefix field.

They are not "interpreters" and are not valid for selection in the interpreter field. The interpreter value is used to point to an external interpreter in the case when you are not including Tcl in the wrapped file (not stand-alone use) and need to specify an interpreter that would not be the system default Tcl or Wish.

See the Command line docs
Specifying the Interpreter: Creating Starpacks and Starkits
for examples, and more detail:
http://docs.activestate.com/tdk/5.4/TclApp.html#cmdline